Kodi update error

Very powerful gaming console solution based on Debian
Post Reply
kasek
Posts: 24
Joined: Sun Dec 30, 2018 6:52 pm
languages_spoken: english
ODROIDs: xu4
Has thanked: 0
Been thanked: 0
Contact:

Kodi update error

Unread post by kasek » Sun Jan 13, 2019 9:08 am

I’m copy and pasting the kodi update command and keep getting this error:
E: could not open lock file /var/lib/dpkg/lock - open (13: permission denied)
And
E: unable to lock the administration directory (/var/lib/dpkg/), are you root?

User avatar
meveric
Posts: 10475
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go, H2 (N4100), N2
Has thanked: 17 times
Been thanked: 128 times
Contact:

Re: Kodi update error

Unread post by meveric » Sun Jan 13, 2019 9:16 am

did you run the command as "root" or used sudo?
You can't run the command as a regular user.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

kasek
Posts: 24
Joined: Sun Dec 30, 2018 6:52 pm
languages_spoken: english
ODROIDs: xu4
Has thanked: 0
Been thanked: 0
Contact:

Re: Kodi update error

Unread post by kasek » Sun Jan 13, 2019 12:21 pm

meveric wrote:
Sun Jan 13, 2019 9:16 am
did you run the command as "root" or used sudo?
You can't run the command as a regular user.
i copy pasted this:
apt-get install -t jessie kodi-next-odroid
edit: also my wife was watching kodi and then the xu4 crashed so we reset it and now if we choose any addons they never load, it tells me something about python being out of date and i need at least version 1.7

User avatar
meveric
Posts: 10475
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go, H2 (N4100), N2
Has thanked: 17 times
Been thanked: 128 times
Contact:

Re: Kodi update error

Unread post by meveric » Sun Jan 13, 2019 10:34 pm

please try the following commands:

Code: Select all

su -
apt-get install -t jessie kodi-next-odroid
apt-get install -t jessie-backports python-cryptography python3-cryptography
This should address both issues.
Please note that I use su - as the first command, which turns your user into "root" after that the other commands should work.
You will be asked for a password which is "odroid" as usual.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

Post Reply

Return to “OGST-XU4”

Who is online

Users browsing this forum: No registered users and 0 guests